accumulo-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Josh Elser (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ACCUMULO-4162) Invalid ZooKeeper version warning message
Date Sat, 19 Mar 2016 20:26:33 GMT

    [ https://issues.apache.org/jira/browse/ACCUMULO-4162?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15202944#comment-15202944
] 

Josh Elser commented on ACCUMULO-4162:
--------------------------------------

Ok, the change to ZOOKEEPER_VERSION in start-all.sh seems good to me. While most of the shellcheck
changes make sense to make at a glance, I'm wondering if it would be better to only make those
changes in master?

Also, any ability to run shell check at build time (so we catch problems right away)?

> Invalid ZooKeeper version warning message
> -----------------------------------------
>
>                 Key: ACCUMULO-4162
>                 URL: https://issues.apache.org/jira/browse/ACCUMULO-4162
>             Project: Accumulo
>          Issue Type: Bug
>          Components: scripts
>    Affects Versions: 1.7.1
>            Reporter: Josh Elser
>            Assignee: Christopher Tubbs
>             Fix For: 1.6.6, 1.7.2, 1.8.0
>
>
> Saw this when running Sven's docker image with ZooKeeper-3.4.8:
> {noformat}
> WARN : Using Zookeeper /zookeeper-3.4.8/zookeeper-3.4.8.  Use version 3.4.0 or greater.
Older versions may not work reliably.
> {noformat}
> 3.4.8 > 3.4.0. Looks like the version detection is a bit busted.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message